GNU bug report logs - #6581
24.0.50; `equal-including-properties' uses `eq' to compare property values

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christian Ohler <ohler+emacs@HIDDEN>; Keywords: confirmed patch; merged with #35921; Done: Stefan Kangas <stefan@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) easy. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 6581 <at> debbugs.gnu.org and Christian Ohler <ohler+emacs@HIDDEN> Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 31 Oct 2021 02:25:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 22:25:41 2021
Received: from localhost ([127.0.0.1]:58717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mh0XV-0001tB-F7
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 22:25:41 -0400
Received: from mail-pj1-f41.google.com ([209.85.216.41]:39737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mh0XT-0001st-9J
 for 6581 <at> debbugs.gnu.org; Sat, 30 Oct 2021 22:25:40 -0400
Received: by mail-pj1-f41.google.com with SMTP id
 y14-20020a17090a2b4e00b001a5824f4918so6790343pjc.4
 for <6581 <at> debbugs.gnu.org>; Sat, 30 Oct 2021 19:25:39 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=RyHMtkkdHP+x6IbTvoXk+FgY2/G/q168EfZxd0QaL5g=;
 b=UvVTZFPplMmbUikzS4izQqNpzGk+R8a3O8U0KrMMW86gxjHsPpZdQgx7oulutvOhW8
 ywctCbBtI1ereZXy70OiKkwid+ZRMw8mWElWqEz5QQuMxS1A4F/xzKecdYcJxxBpE+tJ
 x2YHLWA4Rh67D63wemOd0A2cVNu3CN/sDJSLXuHN+35JWCxAJuoGVAVDb2COcvnHwxOQ
 o8Hn3CFkTpu8qjmCMIpse39/lveu+e0/ZyluMve0kQFSXUzunsxiku7KH+BV7A9IDtRj
 FsoCNr/DrCV4bmO0m5OTP2Q/5ldHfg5XNTXJ3/V2zDWfHZD48+eWUikDFSIyAxoHABhh
 GZ5g==
X-Gm-Message-State: AOAM531bEHsTJc+wo3h+EWyuwJs6MeLohatzfLLz2gQZTw9sELOzESTW
 lwGfiKgrtT3LhH//BKlRNTNbM3PVy3bSr+p3cLw=
X-Google-Smtp-Source: ABdhPJz+fOYuncZ8/aouyg148tTh84ptqAHttpOE721mkUd7J/OB72CUlA3ti9dkqipw3usHrFiIob5LpcQ3/epSBHs=
X-Received: by 2002:a17:902:8c93:b0:141:5442:e608 with SMTP id
 t19-20020a1709028c9300b001415442e608mr17826596plo.32.1635647133576; Sat, 30
 Oct 2021 19:25:33 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 30 Oct 2021 19:25:32 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83bl3i8cs4.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 21 Oct
 2021 21:15:39 +0300")
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN> <54B53D6B.5050903@HIDDEN>
 <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
 <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
 <jwvczny1qbq.fsf-monnier+emacs@HIDDEN>
 <CADwFkm=ZRCW7oo0v9vj2iqTOmXh4icLh1-LjkTpABksFU+9pmw@HIDDEN>
 <83bl3i8cs4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sat, 30 Oct 2021 19:25:32 -0700
Message-ID: <CADwFkmmzpwgt7TV55Ph-rYfgqyOhfw5imo9m_wPj8buWhra19g@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, monnier@HIDDEN, ohler+emacs@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

close 6581 29.1
thanks

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Stefan Kangas <stefan@HIDDEN>
>> Date: Thu, 21 Oct 2021 11:05:57 -0700
>> Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>,
>>  Dmitry Gutov <dgutov@HIDDEN>
>>
>> I hope that Eli or Lars could say if they prefer the first patch (with
>> the bug fix) on emacs-28 or master.
>
> On master, please.  It's not really a bugfix, it's a kind-of
> enhancement, and the change is not trivial.

No further comments within almost 10 days, now pushed to master (commit
8227d1273e and 54b8ec4e6f).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 21 Oct 2021 21:02:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 17:02:54 2021
Received: from localhost ([127.0.0.1]:58751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdfDC-0005do-1D
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 17:02:54 -0400
Received: from mail-pl1-f182.google.com ([209.85.214.182]:42526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mdfDA-0005Zl-Iq
 for 6581 <at> debbugs.gnu.org; Thu, 21 Oct 2021 17:02:53 -0400
Received: by mail-pl1-f182.google.com with SMTP id w17so1270237plg.9
 for <6581 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 14:02:52 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=+1Lx1E4IxwSatw9wJY05jo9TPY+Y2+L4zhwUibrR0x8=;
 b=DRxkPvSpM5+o0CHQo5aY/zwSM3rgpTCyOEfhuxeq1wbtQzVUuU/hcXd2jCjPv1LrjO
 yztFYsZXxV0OhDJzwF1n347ZBi0rKZG6drEjp8fO53BB01DRVKa9HL46BaTpn3P72kaZ
 k9paE5ewoV8NvBT3HJ9/NKh92ED5uciTn4CuB6w56ib3UsiofUIhvt7kQM0cZmpjR8ex
 eGVq/doG3K8Jqw+QS31IFVZfvH5xhOI4gjOMUEVJiknxvJHxqgQ8JIykBM9JrlMmfYlN
 AXDPFYtAJwvrWUJdpn+TR8dN7DyhV31pBxgs3BOme0WXQyS7WqAYqRsRDpsm/5OUliiK
 qrSA==
X-Gm-Message-State: AOAM530GmOnNUgoH9KvngfR5FW3l9j1Q7zuooAjUNZIkj1RwnwPqjuKW
 aBrMe2ZWpmHZpWFuNH3H392yPDHYv29kj1d5Wvo=
X-Google-Smtp-Source: ABdhPJwBjB1BwFa+iv6hJrwRiQzyfudliU+LwadSsQOK5EauIPc5BKUB15FEBo/pnxmykMTOA/VrH7uqcIQJvwyncxU=
X-Received: by 2002:a17:90a:245:: with SMTP id
 t5mr9172610pje.133.1634850166757; 
 Thu, 21 Oct 2021 14:02:46 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 21 Oct 2021 14:02:46 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <jwvbl3ib1y4.fsf-monnier+emacs@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN> <54B53D6B.5050903@HIDDEN>
 <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
 <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
 <jwvczny1qbq.fsf-monnier+emacs@HIDDEN>
 <CADwFkm=ZRCW7oo0v9vj2iqTOmXh4icLh1-LjkTpABksFU+9pmw@HIDDEN>
 <jwvbl3ib1y4.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Date: Thu, 21 Oct 2021 14:02:46 -0700
Message-ID: <CADwFkm=7xsBS-_K9YGk5N4iTdyc=HGC-Z=N8wEzDHAirt+WBdg@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Stefan Monnier <monnier@HIDDEN> writes:

>> +	  || (!use_equal && !EQ (XCAR (i1_val), XCAR (i0_cdr)))
>> +	  || (use_equal && NILP (Fequal (XCAR (i1_val), XCAR (i0_cdr)))))
>
> use_equal ? NILP (Fequal (XCAR (i1_val), XCAR (i0_cdr)))
>           : !EQ (XCAR (i1_val), XCAR (i0_cdr))

Yes, that's better.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.
bug Marked as found in versions 29.0.50. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 21 Oct 2021 19:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 15:42:19 2021
Received: from localhost ([127.0.0.1]:58590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mddxD-000542-HR
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 15:42:19 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:38860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1mddxC-00053k-0q
 for 6581 <at> debbugs.gnu.org; Thu, 21 Oct 2021 15:42:18 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id DB9B780084;
 Thu, 21 Oct 2021 15:42:11 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 8FA298051E;
 Thu, 21 Oct 2021 15:42:06 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1634845326;
 bh=u71e5eiZLt8cqYxMmoPEoQfNWy1mTUMb4gTd3PyJ5fc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=FUziPcgSLutXtoIgAN/QxhQQ7XGQsnVyVw837kSz86mh597Jptp21Xj71afpnwSCq
 ZuQB+pyxPYoMyH4sl3WnVXghvLRYPWZ2D5xfG7NCb37vNxXpm2wXpIhN1RU5cOjpzu
 O0HDrShyHIRwahRF+Ybhft29+zbK+bpI/KmC4hILsJ40uLUJSZgQhbynNXk1I8ePvL
 F1+wUDT8REQCN25IijBp+9hPqUSQXLmbtR36XdjdTmLsbFEhHxaL5fg3GXobpx4nMv
 eN8WKklaPaX8Zb8OBVRn1AxL2ZyofT6f2nBxOt0ByNkhKq6TfVaBHbI5L36DfpI8fd
 UFJBifh4kExgA==
Received: from milanesa (unknown [45.72.241.23])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 553B01204B0;
 Thu, 21 Oct 2021 15:42:06 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
Message-ID: <jwvbl3ib1y4.fsf-monnier+emacs@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
 <54B53D6B.5050903@HIDDEN>
 <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
 <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
 <jwvczny1qbq.fsf-monnier+emacs@HIDDEN>
 <CADwFkm=ZRCW7oo0v9vj2iqTOmXh4icLh1-LjkTpABksFU+9pmw@HIDDEN>
Date: Thu, 21 Oct 2021 15:42:05 -0400
In-Reply-To: <CADwFkm=ZRCW7oo0v9vj2iqTOmXh4icLh1-LjkTpABksFU+9pmw@HIDDEN>
 (Stefan Kangas's message of "Thu, 21 Oct 2021 11:05:57 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.064 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> +	  || (!use_equal && !EQ (XCAR (i1_val), XCAR (i0_cdr)))
> +	  || (use_equal && NILP (Fequal (XCAR (i1_val), XCAR (i0_cdr)))))

use_equal ? NILP (Fequal (XCAR (i1_val), XCAR (i0_cdr)))
          : !EQ (XCAR (i1_val), XCAR (i0_cdr))


-- Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 21 Oct 2021 18:36:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 14:36:49 2021
Received: from localhost ([127.0.0.1]:58544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdcvo-00039U-Vf
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 14:36:49 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:40653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mdcvm-000398-Pq
 for 6581 <at> debbugs.gnu.org; Thu, 21 Oct 2021 14:36:47 -0400
Received: by mail-pg1-f171.google.com with SMTP id q5so1095895pgr.7
 for <6581 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 11:36:46 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=sdn9onCS1oaYKXN9jivT1TQEu/abpi2EhWpGARJOwPI=;
 b=8AoXZYF6qJRUx6q0o622VBOtYGVPQiVLWQJhd+o2NdRZcglDqtBXOg58kqJP1watZK
 jIdMjajja5yTAH0xOR1/MciKWnDJsl6AJNJKRIazycg7A8EWbcXh6N/JBWvXOtDLzMYI
 WQd+HUh7eoDDTIPSRIvkrCleNtjNlJgRPu5G76+ytTxuBGu4Dfz/iqm2CJSk4Kc9eazR
 pqgk+F9u4OENeR8sFtpPibD6iaG/Sercx+m4H3wR1aAJ2I0Rzr41al1EW1P6j0XWnxAh
 12Vs445TPV9smXhXYwlgiI6+Mo5+O7IMXc1nQU/fB7fypQ7AzhCi8Z4RpR6f1sNvkxfo
 wAUg==
X-Gm-Message-State: AOAM5323rA4obPlmLsCswPAK+lScX9ee3K4C84UWRgdSsLe9SHFU4AP4
 mU3xMMubIvZALdlYKKx907DTi2nwB61OP4WR2Hg=
X-Google-Smtp-Source: ABdhPJzaxT9HqP4/XHtEO1SDWfGUhY7sS9sGOe6BaQL9OYNUO/z0VpbLtGrPzm1J7P2QJTrLnEwm6DOEbIlP2gz9eZI=
X-Received: by 2002:a63:81c2:: with SMTP id t185mr5773053pgd.114.1634841401099; 
 Thu, 21 Oct 2021 11:36:41 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 21 Oct 2021 11:36:40 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83bl3i8cs4.fsf@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN> <54B53D6B.5050903@HIDDEN>
 <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
 <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
 <jwvczny1qbq.fsf-monnier+emacs@HIDDEN>
 <CADwFkm=ZRCW7oo0v9vj2iqTOmXh4icLh1-LjkTpABksFU+9pmw@HIDDEN>
 <83bl3i8cs4.fsf@HIDDEN>
MIME-Version: 1.0
Date: Thu, 21 Oct 2021 11:36:40 -0700
Message-ID: <CADwFkm=VnUDir2-Mrq12918rnGA63CTkO_i7fWuT=3eBDeFGKw@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, monnier@HIDDEN, ohler+emacs@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> On master, please.  It's not really a bugfix, it's a kind-of
> enhancement, and the change is not trivial.

That's fine by me, thank you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 21 Oct 2021 18:15:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 14:15:59 2021
Received: from localhost ([127.0.0.1]:58525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdcbf-0001E1-5r
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 14:15:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mdcbd-000184-C7
 for 6581 <at> debbugs.gnu.org; Thu, 21 Oct 2021 14:15:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59068)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mdcbV-0000br-3z; Thu, 21 Oct 2021 14:15:51 -0400
Received: from [87.69.77.57] (port=2087 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mdcbQ-00019g-Gv; Thu, 21 Oct 2021 14:15:47 -0400
Date: Thu, 21 Oct 2021 21:15:39 +0300
Message-Id: <83bl3i8cs4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <CADwFkm=ZRCW7oo0v9vj2iqTOmXh4icLh1-LjkTpABksFU+9pmw@HIDDEN>
 (message from Stefan Kangas on Thu, 21 Oct 2021 11:05:57 -0700)
Subject: Re: bug#6581: 24.0.50;
 `equal-including-properties' uses `eq' to compare property values
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN> <54B53D6B.5050903@HIDDEN>
 <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
 <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
 <jwvczny1qbq.fsf-monnier+emacs@HIDDEN>
 <CADwFkm=ZRCW7oo0v9vj2iqTOmXh4icLh1-LjkTpABksFU+9pmw@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, monnier@HIDDEN, ohler+emacs@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Thu, 21 Oct 2021 11:05:57 -0700
> Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>,
>  Dmitry Gutov <dgutov@HIDDEN>
> 
> I hope that Eli or Lars could say if they prefer the first patch (with
> the bug fix) on emacs-28 or master.

On master, please.  It's not really a bugfix, it's a kind-of
enhancement, and the change is not trivial.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 21 Oct 2021 18:06:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 14:06:09 2021
Received: from localhost ([127.0.0.1]:58504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdcS8-00006S-L3
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 14:06:09 -0400
Received: from mail-pj1-f50.google.com ([209.85.216.50]:34523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mdcS4-00005r-8r
 for 6581 <at> debbugs.gnu.org; Thu, 21 Oct 2021 14:06:07 -0400
Received: by mail-pj1-f50.google.com with SMTP id
 q2-20020a17090a2e0200b001a0fd4efd49so6215154pjd.1
 for <6581 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 11:06:04 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=OKo1gpKIXvmkRwH+W5OqnkVxpXue1ZbOk/Kvj2R84Dw=;
 b=zjjqPp2HKJJ/LbFWOa/IBQmBno4/tC+wAeHkuiOO2bVZrba6eh1MX/zOlR3QojEoZv
 XaIEKDEb90PpdUedN9WmFk/d9Q3CIgtKAKD+3a7fk/7bwJ4xdZo6npA0uhI5RvNF+y4Y
 7CE2H36ebTUi/iv2DH3dJsa662hxGZLgGFA2n68vqRNTAWxaKSOk6pufanpuj9fOOWYC
 Lft7ST+O69SosSTGPY7lz/J93FrnUa+4zxPigzu/5mNxOm2K0F2PwUCeParHX/wg3+ou
 3Jv/vqDc/fhuAtt7ldrbUkNG9xDYBSLVsv8wlQTsHUwmI8prML0TKU4kv2vYoc6O4Pml
 ipYg==
X-Gm-Message-State: AOAM5339Z2km8gxgYLGdeYd8QXynQtP6SiEOAGSf5PgOPdSZAKu71FpU
 TuqbiRL32CxXnRRQPiimeZEpe43AsFyv8LU3MQM=
X-Google-Smtp-Source: ABdhPJy4p+EwYYDF6/Cs772krkylic0xlO1qSJo+eGn6WEElTDmLORf8+R0slqp+A7kcOU0bfO49VSYQB77fQQ1Kgjg=
X-Received: by 2002:a17:902:c1cb:b0:13f:8e99:2158 with SMTP id
 c11-20020a170902c1cb00b0013f8e992158mr6637134plc.32.1634839558469; Thu, 21
 Oct 2021 11:05:58 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 21 Oct 2021 11:05:57 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <jwvczny1qbq.fsf-monnier+emacs@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN> <54B53D6B.5050903@HIDDEN>
 <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
 <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
 <jwvczny1qbq.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Date: Thu, 21 Oct 2021 11:05:57 -0700
Message-ID: <CADwFkm=ZRCW7oo0v9vj2iqTOmXh4icLh1-LjkTpABksFU+9pmw@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/mixed; boundary="00000000000025d24a05cee0bf20"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--00000000000025d24a05cee0bf20
Content-Type: text/plain; charset="UTF-8"

Stefan Monnier <monnier@HIDDEN> writes:

>> The attached patch should fix it.
>
> The patch looks OK tho I can't see why you add `intervals_equal_1` to
> intervals.h (instead of marking it static).

Me neither, fixed in the attached.  (It was an artifact of some earlier
experimentation that shouldn't have survived.)

>> (compare_string_intervals): Call intervals_equal1 with third
>> argument as true.
>
> Rather than paraphrase the code change this could say what's the
> intended effect of passing that arg.

I'm not a fan of the GNU ChangeLog format, as it seems to encourage bad
habits like not useful descriptions and massive patches (as opposed to
patch sets).  In any case, I've made an attempt to force a useful
description into this clunky format in the attached.

I also see that ert had an inefficient re-implementation of
'equal-including-properties' lying around as a workaround for this bug,
so I've fixed that up in a second patch.

I hope that Eli or Lars could say if they prefer the first patch (with
the bug fix) on emacs-28 or master.

The second patch is not urgent and should definitely go to master.

--00000000000025d24a05cee0bf20
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Fix-bug-with-string-values-in-equal-including-proper.patch"
Content-Disposition: attachment; 
	filename="0001-Fix-bug-with-string-values-in-equal-including-proper.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 960d24bb2c473eec_0.1
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--00000000000025d24a05cee0bf20
Content-Type: text/x-diff; charset="utf-8"; 
	name="0002-Remove-workaround-for-fixed-Bug-6541-from-ert.patch"
Content-Disposition: attachment; 
	filename="0002-Remove-workaround-for-fixed-Bug-6541-from-ert.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 960d24bb2c473eec_0.2
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--00000000000025d24a05cee0bf20--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 21 Oct 2021 13:07:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 09:07:07 2021
Received: from localhost ([127.0.0.1]:56484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdXml-0008Fv-4y
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 09:07:07 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:57538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1mdXme-0008FK-R0
 for 6581 <at> debbugs.gnu.org; Thu, 21 Oct 2021 09:07:05 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id DB6171003B4;
 Thu, 21 Oct 2021 09:06:54 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 5B1FB100321;
 Thu, 21 Oct 2021 09:06:53 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1634821613;
 bh=iudFuB7eYEgS5jUEWW1vBYela23Oxltoee3S0yMm8Zk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=BAZWWMN6sP5nzpTbJT+cOgVqQ1p1y0ZEoYKtNc69MuNkS6d2/GcZVtMDYBtepWcQ3
 wXz8SKqF7kKA7P+CLTZNhzxNQAv+MlmmS+HgYvJQsSQpExBUyijorDK9ez0bjfdpMW
 +Ea4fY/Y3UYDnlKKly7CGSfow1+g4bX1TBO8dmRNs6UsFNfNG5bDfpXN9rCFr3yJ9f
 6mmF8UrWvWdNUKDTd+CmK9W4aDsurG/pQrUSA4ysjTT26t6TDtBFBX4CbvqiVtyfwd
 lYoKlW0lzZKyZuTU1nmZL8pR61Mkeap7t0Nlt+6iHqNlm0Ks+kMSFZpE+jOVMFLHn7
 rvrDGssaAxoxw==
Received: from pastel (unknown [45.72.241.23])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 19E26120314;
 Thu, 21 Oct 2021 09:06:53 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
Message-ID: <jwvczny1qbq.fsf-monnier+emacs@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
 <54B53D6B.5050903@HIDDEN>
 <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
 <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
Date: Thu, 21 Oct 2021 09:06:52 -0400
In-Reply-To: <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
 (Stefan Kangas's message of "Wed, 20 Oct 2021 07:49:59 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.053 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> The attached patch should fix it.

The patch looks OK tho I can't see why you add `intervals_equal_1` to
intervals.h (instead of marking it static).

> (compare_string_intervals): Call intervals_equal1 with third
> argument as true.

Rather than paraphrase the code change this could say what's the
intended effect of passing that arg.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.
Added tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 20 Oct 2021 14:50:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 10:50:09 2021
Received: from localhost ([127.0.0.1]:55128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdCuu-0005jP-It
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 10:50:09 -0400
Received: from mail-pl1-f181.google.com ([209.85.214.181]:42576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mdCus-0005ic-Cd
 for 6581 <at> debbugs.gnu.org; Wed, 20 Oct 2021 10:50:07 -0400
Received: by mail-pl1-f181.google.com with SMTP id w17so4467036plg.9
 for <6581 <at> debbugs.gnu.org>; Wed, 20 Oct 2021 07:50:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=zEpcvF7Qdeey3TRisfDUxIb4ZC4++Z0gUV++uMN1sQU=;
 b=arSjwjsyVuEwkwn9BEvwSU4059UHifNdWBI5rIPqHYfUtnL3t6CVq9fpX0wvF4sghJ
 7kFxv8ksNtwrWzQ4oLAg9YW5PLfFSiJt3y+fkracU8jj8ISQbh+o4PgF/LErCIOCVTyN
 1u/G4suHeDHV39y8dhySHXSmR1Gww1iYT6o4vhpn2nPiu7FiQFWqU6aw8yYDejGaCqWo
 SfxiArLkZBD4+8d1+2Xj0VZY8G9Md2/Cm3e8aydvrTkfKUCM0NJc7QSZk9LSD1Yw/WtP
 t9cmx9PAH5BpJ46RFRclgc4DVLhRgCln9GzORwJJml+aoaJvI9ObH5n/9oqWPBFl5tC9
 iQmg==
X-Gm-Message-State: AOAM533HNDSRywJbeMwH2QCFKpdW+s8XhrKjBzInT6i1D4lLIM3WTRbk
 AwbcmUX8h/LhEgRIjCnDAtaX+FWGyJSTtdR6O/c=
X-Google-Smtp-Source: ABdhPJyNj/65xErxRmEggwL7YaYbVZ9g/JsrnyAy3Nk5DxkeZh7oUYkXYJwPmUpuWzPvubOgKGsI2ybeVtRFgu0BHGc=
X-Received: by 2002:a17:90a:c70d:: with SMTP id
 o13mr7957701pjt.143.1634741400467; 
 Wed, 20 Oct 2021 07:50:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 20 Oct 2021 07:49:59 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 13 Jan 2015 14:53:22 -0500")
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN> <54B53D6B.5050903@HIDDEN>
 <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Wed, 20 Oct 2021 07:49:59 -0700
Message-ID: <CADwFkmk0CBmk8J28nurivRwT3OgKJ25P8ARXVQ5+PBtOgHhEyg@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000799f2f05cec9e410"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--000000000000799f2f05cec9e410
Content-Type: text/plain; charset="UTF-8"

tags 6581 + patch
thanks

Stefan Monnier <monnier@HIDDEN> writes:

>>> The intention is to use `equal-including-properties' when
>>> comparing the property values.
>> So you agree the behavior should be fixed?
>
> Yes.

The attached patch should fix it.

--000000000000799f2f05cec9e410
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Fix-bug-with-string-values-in-equal-including-proper.patch"
Content-Disposition: attachment; 
	filename="0001-Fix-bug-with-string-values-in-equal-including-proper.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 26c4fd8414290b19_0.1
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--000000000000799f2f05cec9e410--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.
Merged 6581 35921. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) easy. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 25.0.94. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 24.5. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 19:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 13 14:53:47 2015
Received: from localhost ([127.0.0.1]:55818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YB7X9-0001F3-1a
	for submit <at> debbugs.gnu.org; Tue, 13 Jan 2015 14:53:47 -0500
Received: from mercure.iro.umontreal.ca ([132.204.24.67]:37117)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YB7X7-0001Ew-EY
 for 6581 <at> debbugs.gnu.org; Tue, 13 Jan 2015 14:53:45 -0500
Received: from hidalgo.iro.umontreal.ca (hidalgo.iro.umontreal.ca
 [132.204.27.50])
 by mercure.iro.umontreal.ca (Postfix) with ESMTP id 2CA0085E7F;
 Tue, 13 Jan 2015 14:53:45 -0500 (EST)
Received: from lechon.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by hidalgo.iro.umontreal.ca (Postfix) with ESMTP id 6E3571E5B74;
 Tue, 13 Jan 2015 14:53:22 -0500 (EST)
Received: by lechon.iro.umontreal.ca (Postfix, from userid 20848)
 id 5F75BB4102; Tue, 13 Jan 2015 14:53:22 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#6581: 24.0.50;
 `equal-including-properties' uses `eq' to compare property values
Message-ID: <jwvr3uy31as.fsf-monnier+emacsbugs@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
 <54B53D6B.5050903@HIDDEN>
Date: Tue, 13 Jan 2015 14:53:22 -0500
In-Reply-To: <54B53D6B.5050903@HIDDEN> (Dmitry Gutov's message of "Tue, 13
 Jan 2015 18:44:43 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
 SpamAssassin (score=-2.82, requis 5, autolearn=not spam,
 ALL_TRUSTED -2.82, MC_TSTLAST 0.00)
X-DIRO-MailScanner-From: monnier@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>> The intention is to use `equal-including-properties' when
>> comparing the property values.
> So you agree the behavior should be fixed?

Yes.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 15:44:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 13 10:44:57 2015
Received: from localhost ([127.0.0.1]:55546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YB3eK-0003QB-QY
	for submit <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:44:57 -0500
Received: from mail-lb0-f179.google.com ([209.85.217.179]:50641)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1YB3eH-0003Pv-Dm
 for 6581 <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:44:54 -0500
Received: by mail-lb0-f179.google.com with SMTP id z11so3220085lbi.10
 for <6581 <at> debbugs.gnu.org>; Tue, 13 Jan 2015 07:44:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=cNwWJkTPdYJRnRHSHtNmvaCL8rRDjsPL9/Qfxm9huXE=;
 b=HeM9MUYH0KR6UyMToYjvIwF9UzZRVjFjePgZE1BChH4BSPsMwwXPRV+nAfLPhhX29F
 v36mB7PYGMI6YNDm0J6gdBkmdfOPw5vTe/8sDOKPGEMGZKDdNSy4UBCDQ9Fo5wQNfDxo
 s6hrJlnNJW6uiuj5D0DymwOdY5MJJEqMukSJSMaruSVHRLbf/Q5rOTX6K6eburTuPMoE
 l21I623DsbvxhXSKUgte3TiYUHYLPVpNYk0BejjTaS39MvXg1R6g6WsjDVppLHJlmo9B
 eAsD5G0ySzvOhJRPyrYmk2Eg6gT4/3W6NYnrcVgnb5zxfAdgXF364ZXbReQ4eQMtPlkn
 gV4A==
X-Received: by 10.112.132.2 with SMTP id oq2mr42968252lbb.11.1421163886881;
 Tue, 13 Jan 2015 07:44:46 -0800 (PST)
Received: from [192.168.1.3] ([178.252.98.87])
 by mx.google.com with ESMTPSA id v8sm945315lae.6.2015.01.13.07.44.45
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 13 Jan 2015 07:44:46 -0800 (PST)
Message-ID: <54B53D6B.5050903@HIDDEN>
Date: Tue, 13 Jan 2015 18:44:43 +0300
From: Dmitry Gutov <dgutov@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:33.0) Gecko/20100101 Thunderbird/33.0
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq'
 to compare property values
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 01/13/2015 06:23 PM, Stefan Monnier wrote:

> The intention is to use `equal-including-properties' when
> comparing the property values.

So you agree the behavior should be fixed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 15:34:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 13 10:34:04 2015
Received: from localhost ([127.0.0.1]:55540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YB3Tn-000390-LQ
	for submit <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:34:03 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:48229)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1YB3Tl-00038W-G4
 for 6581 <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:34:02 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t0DFXrUS011021
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 13 Jan 2015 15:33:54 GMT
Received: from aserz7022.oracle.com (aserz7022.oracle.com [141.146.126.231])
 by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t0DFXpbP017782
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Tue, 13 Jan 2015 15:33:52 GMT
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by aserz7022.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t0DFXpQM017769;
 Tue, 13 Jan 2015 15:33:51 GMT
MIME-Version: 1.0
Message-ID: <684f088f-94ac-48e6-8d70-239c35b3ce5a@default>
Date: Tue, 13 Jan 2015 07:33:51 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Subject: RE: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> > I've just hit this bug today.  Half an hour wasted.
>=20
> The intention is to use `equal-including-properties' when
> comparing the property values.

Whatever the intended use is, the behavior should be specified
in the predicate's doc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 15:23:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 13 10:23:44 2015
Received: from localhost ([127.0.0.1]:55529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YB3Jn-0002sd-TY
	for submit <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:23:44 -0500
Received: from mercure.iro.umontreal.ca ([132.204.24.67]:43857)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YB3Jm-0002sV-7s
 for 6581 <at> debbugs.gnu.org; Tue, 13 Jan 2015 10:23:42 -0500
Received: from hidalgo.iro.umontreal.ca (hidalgo.iro.umontreal.ca
 [132.204.27.50])
 by mercure.iro.umontreal.ca (Postfix) with ESMTP id 1D40685AAC;
 Tue, 13 Jan 2015 10:23:42 -0500 (EST)
Received: from lechon.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by hidalgo.iro.umontreal.ca (Postfix) with ESMTP id 5CEDB1E5B8B;
 Tue, 13 Jan 2015 10:23:19 -0500 (EST)
Received: by lechon.iro.umontreal.ca (Postfix, from userid 20848)
 id 3B891B4102; Tue, 13 Jan 2015 10:23:19 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#6581: 24.0.50;
 `equal-including-properties' uses `eq' to compare property values
Message-ID: <jwvtwzu66yo.fsf-monnier+emacsbugs@HIDDEN>
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
Date: Tue, 13 Jan 2015 10:23:19 -0500
In-Reply-To: <86bnm3igle.fsf@HIDDEN> (Dmitry Gutov's message of "Tue, 13
 Jan 2015 05:01:33 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
 SpamAssassin (score=-2.82, requis 5, autolearn=not spam,
 ALL_TRUSTED -2.82, MC_TSTLAST 0.00)
X-DIRO-MailScanner-From: monnier@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org, Christian Ohler <ohler+emacs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> I've just hit this bug today.  Half an hour wasted.

The intention is to use `equal-including-properties' when
comparing the property values.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 02:27:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 12 21:27:12 2015
Received: from localhost ([127.0.0.1]:54836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YArCK-0000d6-29
	for submit <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:27:12 -0500
Received: from mail-lb0-f169.google.com ([209.85.217.169]:53189)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1YArCH-0000bI-WF
 for 6581 <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:27:10 -0500
Received: by mail-lb0-f169.google.com with SMTP id p9so385904lbv.0
 for <6581 <at> debbugs.gnu.org>; Mon, 12 Jan 2015 18:27:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
 :references:in-reply-to:content-type:content-transfer-encoding;
 bh=92ytxVYAXP/TPc/mQLQrkA1pXefIJXMEPvPPeBY1PiI=;
 b=iJqAx2GdtBA9BnsWa7T47u9z1kFHO/ZzELXXeHhbPD8qKoznurusgLKzdzaQ4usNFq
 AHBx/FgayTRTykojsVaeNCN5x9qcxrlCEz9M/KdV02rFUvtlY5HyGhBK+c99cz1vi75A
 //Q2Rtp/TQ7atiSOLXSQR+psiYUWEMVTo0Dpe1FT+4r2BPcpMQgdX1MkoFA/CcFw0lJ2
 SIU7Fl96mLn4rWCgyxkBGIGbf9YYEPQpQxJcpjO+RYoNnexaLrVN9LbQddMaHN+ef8FW
 p0WlRcKKanTZWUrlfSg2Ik1NCcJG//hLhWaOEOur3mYtywI7BStq6uYMPlFiJN4gWECX
 6TYw==
X-Received: by 10.152.164.232 with SMTP id yt8mr40119106lab.7.1421116024137;
 Mon, 12 Jan 2015 18:27:04 -0800 (PST)
Received: from [192.168.1.3] ([178.252.98.87])
 by mx.google.com with ESMTPSA id l1sm458225lag.11.2015.01.12.18.27.03
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 12 Jan 2015 18:27:03 -0800 (PST)
Message-ID: <54B48275.2060206@HIDDEN>
Date: Tue, 13 Jan 2015 05:27:01 +0300
From: Dmitry Gutov <dgutov@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:33.0) Gecko/20100101 Thunderbird/33.0
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>,
 Christian Ohler <ohler+emacs@HIDDEN>
Subject: Re: bug#6581: 24.0.50; `equal-including-properties' uses `eq'
 to compare property values
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
 <85969e69-2ab9-4cd9-a2dc-0278d1838666@default>
In-Reply-To: <85969e69-2ab9-4cd9-a2dc-0278d1838666@default>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 01/13/2015 05:23 AM, Drew Adams wrote:

> There certainly is *at least* a doc bug.

Yup.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 02:23:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 12 21:23:16 2015
Received: from localhost ([127.0.0.1]:54832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YAr8W-0008CP-Ar
	for submit <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:23:16 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:16621)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1YAr8U-0008Ag-4T
 for 6581 <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:23:14 -0500
Received: from ucsinet22.oracle.com (ucsinet22.oracle.com [156.151.31.94])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t0D2N7FO032446
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Tue, 13 Jan 2015 02:23:08 GMT
Received: from userz7022.oracle.com (userz7022.oracle.com [156.151.31.86])
 by ucsinet22.oracle.com (8.14.5+Sun/8.14.5) with ESMTP id t0D2N6rb025248
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
 Tue, 13 Jan 2015 02:23:06 GMT
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userz7022.oracle.com (8.14.5+Sun/8.14.4) with ESMTP id t0D2N5b0025185;
 Tue, 13 Jan 2015 02:23:05 GMT
MIME-Version: 1.0
Message-ID: <85969e69-2ab9-4cd9-a2dc-0278d1838666@default>
Date: Mon, 12 Jan 2015 18:23:04 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Christian Ohler <ohler+emacs@HIDDEN>
Subject: RE: bug#6581: 24.0.50; `equal-including-properties' uses `eq' to
 compare property values
References: <4C348D05.9000601@HIDDEN> <86bnm3igle.fsf@HIDDEN>
In-Reply-To: <86bnm3igle.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: ucsinet22.oracle.com [156.151.31.94]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> I've just hit this bug today.  Half an hour wasted.

There certainly is *at least* a doc bug.  Users of such
a function at least need to be told how the text property
values are compared.  That's a minimum for the doc of any
equality predicate: say just what equality means in this
case.

Both the doc string and the Elisp manual (node `Equality
Predicates') are deficient.

In addition, a reasonable enhancement might be (now) to
accept an optional comparison (equality) predicate,
especially to be able to work around the designed behavior.

But I'm guessing that the default behavior could/should
not be changed at this point, because existing code
could break.

Just call out the *actual behavior*, clearly and completely.
Even LOUDLY, as this is truly a gotcha.  (And one needs to
check C code to see what the function really does.)

This predicate was added after Emacs 20 (after 21 perhaps?).
It's a bit surprising that no one has thought of completing
the doc - at least.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at 6581 <at> debbugs.gnu.org:


Received: (at 6581) by debbugs.gnu.org; 13 Jan 2015 02:01:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 12 21:01:43 2015
Received: from localhost ([127.0.0.1]:54827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YAqnf-0006BR-F9
	for submit <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:01:43 -0500
Received: from mail-la0-f52.google.com ([209.85.215.52]:39397)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1YAqnd-0006BA-W0
 for 6581 <at> debbugs.gnu.org; Mon, 12 Jan 2015 21:01:42 -0500
Received: by mail-la0-f52.google.com with SMTP id hs14so279012lab.11
 for <6581 <at> debbugs.gnu.org>; Mon, 12 Jan 2015 18:01:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=K75hqP+NFaK7aTuBxVTcDSw1GFNR2OnYKZfC/AvK7RU=;
 b=tbV/n8jzx5yOT0VOgnH9AsYS/6mS3JgVw9nywVjcVNgTFGrNb0pfiaH2hYPzTziCaR
 +o4WxnZ6/teuPyM5iI+IST9tJJY28oAeA1nGRIL42nA9A7CKaB5EI1qdBK9O/tZWHk6W
 EBweHAZNcsORJhHzrtER4XDC6YPzbZlcTMhtdKSpLJJWmJw61HeCtu33qmrp1OMG5tdR
 SBgV4hJqeOK/0OAHRiPABjvZ8t0kUDehRNcRsGXU5DFH5bkv56Yq4aKew9pE3fDdXxKi
 GgIwOsAIDksd+58DrUKfZ3Qi0lwZMHTKs5SNK4DO3afVs+qW9belkcGUEXJSP+OXH6Hk
 Qqlg==
X-Received: by 10.152.87.12 with SMTP id t12mr39752360laz.31.1421114496059;
 Mon, 12 Jan 2015 18:01:36 -0800 (PST)
Received: from axl ([178.252.98.87])
 by mx.google.com with ESMTPSA id v9sm4575433lbf.14.2015.01.12.18.01.34
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 12 Jan 2015 18:01:35 -0800 (PST)
From: Dmitry Gutov <dgutov@HIDDEN>
To: Christian Ohler <ohler+emacs@HIDDEN>
Subject: Re: bug#6581: 24.0.50;
 `equal-including-properties' uses `eq' to compare property values
References: <4C348D05.9000601@HIDDEN>
Date: Tue, 13 Jan 2015 05:01:33 +0300
In-Reply-To: <4C348D05.9000601@HIDDEN> (Christian Ohler's message of
 "Thu, 08 Jul 2010 00:19:49 +1000")
Message-ID: <86bnm3igle.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 6581
Cc: 6581 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I've just hit this bug today.  Half an hour wasted.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jul 2010 15:14:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 07 11:14:15 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OWWKE-0005sK-NY
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2010 11:14:15 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ohler+emacs@HIDDEN>) id 1OWVU7-0005V8-69
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2010 10:20:24 -0400
Received: from lists.gnu.org ([199.232.76.165]:47322)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <ohler+emacs@HIDDEN>) id 1OWVU2-0007je-8v
	for submit <at> debbugs.gnu.org; Wed, 07 Jul 2010 10:20:18 -0400
Received: from [140.186.70.92] (port=52103 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OWVU0-0004nN-Ny
	for bug-gnu-emacs@HIDDEN; Wed, 07 Jul 2010 10:20:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <ohler+emacs@HIDDEN>) id 1OWVTz-0007cE-Ig
	for bug-gnu-emacs@HIDDEN; Wed, 07 Jul 2010 10:20:16 -0400
Received: from out3.smtp.messagingengine.com ([66.111.4.27]:53046)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ohler+emacs@HIDDEN>) id 1OWVTz-0007br-Fe
	for bug-gnu-emacs@HIDDEN; Wed, 07 Jul 2010 10:20:15 -0400
Received: from compute1.internal (compute1.internal [10.202.2.41])
	by gateway1.messagingengine.com (Postfix) with ESMTP id 381651266EF;
	Wed,  7 Jul 2010 10:19:54 -0400 (EDT)
Received: from heartbeat1.messagingengine.com ([10.202.2.160])
	by compute1.internal (MEProxy); Wed, 07 Jul 2010 10:19:54 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=messagingengine.com;
	h=message-id:date:from:mime-version:to:subject:content-type:content-transfer-encoding;
	s=smtpout; bh=ru6GgCqbivt/PAgtPbujvdJthRw=;
	b=aqe8saY1xzOsSMAutBx39gA/IDoASBqPWfA3vu8/Kh+frFuS0FzZD3vkpQ1k8aYSZOFan/g0g9tLYP6r2xKkuHNUt//RrLe/Y4HQHnGUVmY9Fk1fYJy65ijDXUC7/8OzlcAnYkaY2zAf7Am8jbI+QMCXlTSD3L5FDVkbCXuNnlk=
X-Sasl-enc: Mkd2Jtv1PmIn0xERruQACXFDdyrtBYKYa3hMtmw2q8MT 1278512393
Received: from kraut.local (17.8.70.115.static.exetel.com.au [115.70.8.17])
	by mail.messagingengine.com (Postfix) with ESMTPSA id E21764F4D2E;
	Wed,  7 Jul 2010 10:19:52 -0400 (EDT)
Message-ID: <4C348D05.9000601@HIDDEN>
Date: Thu, 08 Jul 2010 00:19:49 +1000
From: Christian Ohler <ohler+emacs@HIDDEN>
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.50; `equal-including-properties' uses `eq' to compare property
	values
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 07 Jul 2010 11:14:13 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

I just noticed that, in my current Emacs (24.0.50.1, built from trunk a 
few weeks ago):

(equal-including-properties #("a" 0 1 (k "v")) #("a" 0 1 (k "v")))
=> nil

This is because these two strings both have a property with key `k', but 
the values are two different strings "v", and 
`equal-including-properties' appears to use `eq' to compare property 
values (I didn't verify this in the code).  Is this a bug, or is it 
intentional?

For comparison,

(equal-including-properties #("a" 0 1 (k v)) #("a" 0 1 (k v)))
=> t

since `v' is an interned symbol.

My expectation was that, since `equal' is recursively defined in terms 
of itself, `equal-including-properties' should also call itself 
recursively on property values.

Christian.




Acknowledgement sent to Christian Ohler <ohler+emacs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6581; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 31 Oct 2021 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.